<!-- basic form start -->
<div class="col-12 mt-5">
	<div class="card">
		<div class="card-body">
			<h4 class="header-title">Tambah Data Kelas</h4>
			<form method="post" enctype="multipart/form-data">
				<div class="form-group">
					<?php
				# Opsi Level Login
					$arrLevel	= array("Kasir","Admin");

					if($_GET) {
						if(isset($_POST['btnSave'])){
							$message = array();
							if (trim($_POST['txtkodekelas'])=="") {
								$message[] = "Kode kelas boleh kosong !";		
							}
							if (trim($_POST['txttp'])=="") {
								$message[] = "Tahun Pelajaran tidak boleh kosong !";		
							}
							if (trim($_POST['txtkelas'])=="") {
								$message[] = "Kelas tidak boleh kosong !";		
							}
							if (trim($_POST['txtnamakelas'])=="") {
								$message[] = "Nama Kelas tidak boleh kosong !";		
							}

					# Baca Variabel Form
							$txtkodekelas	= $_POST['txtkodekelas'];
							$txtkodekelas	= str_replace("'","&acute;",$txtkodekelas);

							$txttp	= $_POST['txttp'];
							$txttp= str_replace("'","&acute;",$txttp);

							$txtkelas= $_POST['txtkelas'];
							$txtkelas= str_replace("'","&acute;",$txtkelas);

							$txtnamakelas= $_POST['txtnamakelas'];
							$txtnamakelas= str_replace("'","&acute;",$txtnamakelas);

				# Validasi Nama Kategori, jika sudah ada akan ditolak
							$sqlCek="SELECT * FROM kelas WHERE kdkelas='$txtkodekelas'";
							$qryCek=mysql_query($sqlCek, $koneksidb) or die ("Eror Query".mysql_error()); 
							if(mysql_num_rows($qryCek)>=1){
								$message[] = "Maaf, kdkelas <b> $txtkodekelas </b> sudah ada, ganti dengan yang lain";
							}

				# Jika jumlah error message tidak ada
							if(count($message)==0){			
								$sqlSave="INSERT INTO kelas SET kdkelas='$txtkodekelas', tp='$txttp', kelas='$txtkelas', namakelas='$txtnamakelas'";
								$qrySave=mysql_query($sqlSave, $koneksidb) or die ("Gagal query".mysql_error());
								if($qrySave){
									echo "<meta http-equiv='refresh' content='0; url=?page=Data-Kelas&Act=Sucsses'>";
								}
							}	

		# JIKA ADA PESAN ERROR DARI VALIDASI
		// (Form Kosong, atau Duplikat ada), Ditampilkan lewat kode ini
							if (! count($message)==0 ){
								echo "<div class='mssgBox'>";
								// echo "<img src='images/attention.png' class='imgBox'> <hr>";
								$Num=0;
								foreach ($message as $indeks=>$pesan_tampil) { 
									$Num++;
									echo "<div class='alert alert-danger alert-dismissible fade show' role='alert'>";
									echo "&nbsp;&nbsp; $Num. $pesan_tampil<br>";
									echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'>";
									echo "<span class='fa fa-times'></span>
									</button>
									</div>";	
								} 
								echo "</div>"; 
							}
	} // Penutup POST
	
	# MASUKKAN DATA KE VARIABEL
	$datakodekelas	= isset($_POST['txtkodekelas']) ? $_POST['txtkodekelas'] : '';
	$datatp= isset($_POST['txttp']) ? $_POST['txttp'] : '';
	$datakelas= isset($_POST['txtkelas']) ? $_POST['txtkelas'] : '';
	$datanamakelas= isset($_POST['txtnamakelas']) ? $_POST['txtnamakelas'] : '';
	
} // Penutup GET
?>
</div>
<div class="form-row">
	<div class="col-md-3 mb-3">
		<label for=""><b>Kode Kelas</b></label>
		<input type="text" class="form-control" name="txtkodekelas" value="<?php echo $datakodekelas; ?>" placeholder="Masukan Kode Kelas">
	</div>
	<div class="col-md-3 mb-3">
		<label for=""><b>Tahun Pelajaran</b></label>
		<input type="text" class="form-control" name="txttp" value="<?php echo $datatp; ?>" placeholder="Masukan Tahun Pelajaran">
	</div>
	<div class="col-md-3 mb-3">
		<label for=""><b>Kelas</b></label>
		<input type="text" class="form-control" name="txtkelas" value="<?php echo $datakelas; ?>" placeholder="Masukan Kelas">
	</div>
	<div class="col-md-3 mb-3">
		<label for=""><b>Nama Kelas</b></label>
		<input type="text" class="form-control" name="txtnamakelas" value="<?php echo $datanamakelas; ?>" placeholder="Masukan Nama Kelas">
	</div>
</div>
<button type="submit" class="btn btn-primary col-12" name="btnSave"><b>Simpan Data</b></button>
</form>
</div>
</div>
</div>
<!-- basic form end -->